// =====================================================================
/*!
//
//  \file TOutputObjectFilter.hh
//  \brief This file contains the TOutputObjectFilter class.
//  \author Go IWAI <goiwai@users.sourceforge.jp>
//
//  $Id: TOutputObjectFilter.hh,v 1.1 2003/12/06 10:18:15 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TOutputObjectFilter.hh,v $
//  Revision 1.1  2003/12/06 10:18:15  goiwai
//  入力フィルターと出力フィルターを別扱いにしました.
//  これらは純粋仮想関数Filtering()を含みます.
//
*/
// =====================================================================
#ifndef __TOUTPUTOBJECTFILTER_HH
#define __TOUTPUTOBJECTFILTER_HH

#include "Tglobals.h"
#include "TObjectFilter.hh"

class TStreamableObject;
class TInputObjectStream;
class TOutputObjectStream;
class TObjectStream;

/*!
// \example
//
// If example code exists.
//
*/

/*!
// \class TOutputObjectFilter
// \brief This is the TOutputObjectFilter class.
// \author Go IWAI <goiwai@users.sourceforge.jp>
//
// The TOutputObjectFilter class detail description.
// Write it down ASAP!
//
// \todo None?
// \bug None?
// \ingroup PersistencyCategory
*/
class TOutputObjectFilter
  : public TObjectFilter
{

  public:
    TOutputObjectFilter();
    virtual ~TOutputObjectFilter();

  public:
    virtual Tint Filtering( TStreamableObject& object, TOutputObjectStream* stream ) = 0;
    virtual Tvoid Initialize( TOutputObjectStream* stream );
    virtual Tvoid Finalize( TOutputObjectStream* stream );

};

inline Tvoid TOutputObjectFilter::Initialize( TOutputObjectStream* stream )
{
  return;
}

inline Tvoid TOutputObjectFilter::Finalize( TOutputObjectStream* stream )
{
  return;
}

#endif
